<?
		$rubrique = 11;
		$meta_description = "Tutoriel
          XML (eXtensible Markup Language)";
		$meta_keywords = "cours,
          tutoriel, tutorial,
          XML,eXtensible, Markup, Language";
		$titre_page = "Tutoriel XML";
		$urlCss = "./article.css";
		include("$DOCUMENT_ROOT/template/entete.php");
		?>
		  <table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
			<tr>
			  <td>
	<br><h1>Tutoriel XML</h1><p align="center">
        Par
        <a class="auteur" href="mailto:nicmila@systinet.com">Miloslav
          Nic</a><br>&nbsp;<a class="auteur" href="mailto:elecarre@hotmail.com">Eric Le Carre (traduction)</a><br>&nbsp;</p><p class="synopsis">Le langage XML est d&eacute;crit dans la
<a href="http://www.w3.org/TR/REC-xml" class="lienArticle">norme XML 1.0</a>. Ce
tutoriel pr&eacute;sente certaines caract&eacute;ristiques de XML &agrave; l'aide de
nombreux exemples.<br />
<a href="ftp://TODO" class="lienArticle">Version PDF</a><br />
<a href="ftp://TODO" class="lienArticle">Version HTML/ZIP</a>
</p><br /><a class="summaryIndent0" href="#L1">1. Exemple 1</a><br /><a class="summaryIndent0" href="#L2">2. Exemple 2</a><br /><a class="summaryIndent0" href="#L3">3. Exemple 3</a><br /><a class="summaryIndent0" href="#L4">4. Exemple 4</a><br /><a class="summaryIndent0" href="#L5">5. Exemple 5</a><br /><a class="summaryIndent0" href="#L6">6. Exemple 6</a><br /><a class="summaryIndent0" href="#L7">7. Exemple 7</a><br /><a class="summaryIndent0" href="#L8">8. Exemple 8</a><br /><a class="summaryIndent0" href="#L9">9. Exemple 9</a><br /><a class="summaryIndent0" href="#L10">10. Exemple 10</a><br /><a class="summaryIndent0" href="#L11">11. Exemple 11</a><br /><a class="summaryIndent0" href="#L12">12. Exemple 12</a><br /><a class="summaryIndent0" href="#L13">13. Exemple 13</a><br><br><br /><h1 class="TitreSection0"><a name="L1"></a>1. Exemple 1</h1><ul type="">
<div class="paragraph">Un document XML doit comporter un ou plusieurs &eacute;l&eacute;ments.</div><br>
<li>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">text</span>&gt;Ceci est un document XML&lt;/<span class="xml_balise">text</span>&gt;</div></pre>
<div class="paragraph">Document XML bien form&eacute; comportant un &eacute;l&eacute;ment</div><br>
</li>
<li>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">text</span>&gt;Ceci est un 
&lt;<span class="xml_balise">doctype</span>&gt;document XML&lt;/<span class="xml_balise">doctype</span>&gt;
&lt;/<span class="xml_balise">text</span>&gt;</div></pre>
<div class="paragraph">Document XML bien form&eacute; comportant plusieurs &eacute;l&eacute;ments</div><br>
</li>
<li>
<pre class="code"><div class="titre_code">Mal form&eacute;</div><div class="xml_code">??? Ceci est un document XML ???</div></pre>
<div class="paragraph">Un document XML doit comporter au moins un &eacute;l&eacute;ment</div><br>
</li>
</ul><br /><h1 class="TitreSection0"><a name="L2"></a>2. Exemple 2</h1><ul type="">
<div class="paragraph">Il y a exactement un &eacute;l&eacute;ment appel&eacute; &eacute;l&eacute;ment racine ou &eacute;l&eacute;ment document, dont aucune partie n'appara&icirc;t dans le contenu d'un autre &eacute;l&eacute;ment.</div><br>
<li>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">book</span>&gt;Ceci est un livre&lt;/<span class="xml_balise">book</span>&gt;</div></pre>
<div class="paragraph">&lt;book&gt; est l'&eacute;l&eacute;ment racine </div><br>
</li>
<li>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">list</span>&gt;
&lt;<span class="xml_balise">item</span>&gt;Item 1&lt;/<span class="xml_balise">item</span>&gt;
&lt;<span class="xml_balise">item</span>&gt;Item 2&lt;/<span class="xml_balise">item</span>&gt;
&lt;<span class="xml_balise">item</span>&gt;Item 3&lt;/<span class="xml_balise">item</span>&gt;
&lt;/<span class="xml_balise">list</span>&gt;</div></pre>
<div class="paragraph">&lt;list&gt; est l'&eacute;l&eacute;ment racine</div><br>
</li>
<li>
<pre class="code"><div class="titre_code">Mal form&eacute;</div><div class="xml_code">???
&lt;<span class="xml_balise">item</span>&gt;Item 1&lt;/<span class="xml_balise">item</span>&gt;
&lt;<span class="xml_balise">item</span>&gt;Item 2&lt;/<span class="xml_balise">item</span>&gt;
&lt;<span class="xml_balise">item</span>&gt;Item 3&lt;/<span class="xml_balise">item</span>&gt; 
???</div></pre>
<div class="paragraph">Seul un &eacute;l&eacute;ment racine est autoris&eacute;</div><br>
</li>
</ul><br /><h1 class="TitreSection0"><a name="L3"></a>3. Exemple 3</h1><ul type="">
<div class="paragraph">Le nom de la balise de fin d'un &eacute;l&eacute;ment doit correspondre &agrave; celui de la balise de d&eacute;but. Les noms tiennent compte des majuscules et des minuscules</div><br>
<li>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">book</span>&gt;Ceci est un livre&lt;/<span class="xml_balise">book</span>&gt;</div></pre>
<div class="paragraph">La balise de fin &lt;/book&gt; correspond &agrave; la balise de d&eacute;but &lt;book&gt;</div><br>
</li>
<li>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">list</span>&gt;
&lt;<span class="xml_balise">item</span>&gt;Voiture&lt;/<span class="xml_balise">item</span>&gt;
&lt;<span class="xml_balise">ITEM</span>&gt;Avion&lt;/<span class="xml_balise">ITEM</span>&gt;
&lt;<span class="xml_balise">Item</span>&gt;Train&lt;/<span class="xml_balise">Item</span>&gt;
&lt;/<span class="xml_balise">list</span>&gt;</div></pre>
<div class="paragraph">Ce document bien form&eacute; comporte 4 &eacute;l&eacute;ments diff&eacute;rents &lt;list&gt;, &lt;item&gt;, &lt;ITEM&gt; et &lt;Item&gt;</div><br>
</li>
<li>
<pre class="code"><div class="titre_code">Mal form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">list</span>&gt;
&lt;<span class="xml_balise">item</span>&gt;Voiture&lt;/<span class="xml_balise">itm</span>&gt;
&lt;<span class="xml_balise">item</span>&gt;Avion&lt;/<span class="xml_balise">ITEM</span>&gt;
&lt;<span class="xml_balise">item</span>&gt;Train&lt;/<span class="xml_balise">item</span>&gt; 
&lt;/<span class="xml_balise">list</span>&gt;</div></pre>
<div class="paragraph">&lt;item&gt; - &lt;/itm&gt; et &lt;item&gt; - &lt;/ITEM&gt; ne correspondent pas</div><br>
</li>
</ul><br /><h1 class="TitreSection0"><a name="L4"></a>4. Exemple 4</h1><ul type="">
<div class="paragraph">Si la balise de d&eacute;but figure dans le contenu d'un autre &eacute;l&eacute;ment, la balise de fin doit &eacute;galement figurer dans le contenu du m&ecirc;me &eacute;l&eacute;ment. Plus simplement, les &eacute;l&eacute;ments d&eacute;limit&eacute;s par les balises de d&eacute;but et de fin doivent s'imbriquer correctement les uns dans les autres. </div><br>
<li>
<div class="paragraph">Ces &eacute;l&eacute;ments sont correctement imbriqu&eacute;s. </div><br>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">Weight</span>&gt;
	&lt;<span class="xml_balise">number</span>&gt;12&lt;/<span class="xml_balise">number</span>&gt;
	&lt;<span class="xml_balise">unit</span>&gt;gramme&lt;/<span class="xml_balise">unit</span>&gt;
&lt;/<span class="xml_balise">Weight</span>&gt;</div></pre>

</li>
<li>
<div class="paragraph">Autre exemple de document bien form&eacute;</div><br>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">book</span>&gt;
	&lt;<span class="xml_balise">chapter</span>&gt;
		&lt;<span class="xml_balise">title</span>&gt;Introduction&lt;/<span class="xml_balise">title</span>&gt;
	&lt;/<span class="xml_balise">chapter</span>&gt;
	&lt;<span class="xml_balise">chapter</span>&gt;
		&lt;<span class="xml_balise">title</span>&gt;R&eacute;cit&lt;/<span class="xml_balise">title</span>&gt;
		&lt;<span class="xml_balise">subChapter</span>&gt;
			&lt;<span class="xml_balise">title</span>&gt;Partie 1&lt;/<span class="xml_balise">title</span>&gt;
		&lt;/<span class="xml_balise">subChapter</span>&gt;
		&lt;<span class="xml_balise">subChapter</span>&gt;
			&lt;<span class="xml_balise">title</span>&gt;Partie 2&lt;/<span class="xml_balise">title</span>&gt;
		&lt;/<span class="xml_balise">subChapter</span>&gt;
	&lt;/<span class="xml_balise">chapter</span>&gt;
	&lt;<span class="xml_balise">chapter</span>&gt;
		&lt;<span class="xml_balise">title</span>&gt;Index&lt;/<span class="xml_balise">title</span>&gt;
	&lt;/<span class="xml_balise">chapter</span>&gt;
&lt;/<span class="xml_balise">book</span>&gt;</div></pre>
</li>
<li>
<div class="paragraph">L'&eacute;l&eacute;ment &lt;italic&gt; n'est pas correctement imbriqu&eacute;</div><br>
<pre class="code"><div class="titre_code">Mal form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">text</span>&gt;
	&lt;<span class="xml_balise">bold</span>&gt;&lt;<span class="xml_balise">italic</span>&gt;XML&lt;/<span class="xml_balise">bold</span>&gt;&lt;/<span class="xml_balise">italic</span>&gt;
&lt;/<span class="xml_balise">text</span>&gt;</div></pre>

</li>
</ul><br /><h1 class="TitreSection0"><a name="L5"></a>5. Exemple 5</h1><ul type="">
<div class="paragraph">La fin de chaque &eacute;l&eacute;ment commen&ccedil;ant par une balise de d&eacute;but doit &ecirc;tre indiqu&eacute;e par une balise de fin comportant le m&ecirc;me nom que celui utilis&eacute; dans la balise de d&eacute;but. Le texte figurant entre la balise de d&eacute;but et la balise de fin est appel&eacute; le contenu de l'&eacute;l&eacute;ment. Un &eacute;l&eacute;ment sans contenu prend la forme sp&eacute;ciale suivante : &lt;nom/&gt; . La barre oblique devant le caract&egrave;re &gt; remplace la balise de fin.  </div><br>
<li>
<div class="paragraph">Chaque &eacute;l&eacute;ment comporte une balise de fin ou adopte la forme sp&eacute;ciale. Il n'y a aucune diff&eacute;rence entre &lt;AAA&gt;&lt;/AAA&gt; et &lt;AAA/&gt; en XML.</div><br>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">listOfTags</span>&gt;
	&lt;<span class="xml_balise">AAA</span>&gt;&lt;/<span class="xml_balise">AAA</span>&gt;
	&lt;<span class="xml_balise">BBB</span>&gt;&lt;/<span class="xml_balise">BBB</span>&gt;
	&lt;<span class="xml_balise">CCC</span>/&gt;
	&lt;<span class="xml_balise">DDD</span>/&gt;
&lt;/<span class="xml_balise">listOfTags</span>&gt;</div></pre>

</li>

<li>
<div class="paragraph">Une erreur tr&egrave;s fr&eacute;quente consiste &agrave; oublier la barre oblique</div><br>
<pre class="code"><div class="titre_code">Mal form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">description</span>&gt;
Il y a des pommes &lt;<span class="xml_balise">color</span>&gt;jaunes&lt;<span class="xml_balise">color</span>&gt; et &lt;<span class="xml_balise">color</span>&gt;rouges&lt;/<span class="xml_balise">color</span>&gt;.
&lt;/<span class="xml_balise">description</span>&gt;</div></pre>

</li>
</ul><br /><h1 class="TitreSection0"><a name="L6"></a>6. Exemple 6</h1><ul type="">
<div class="paragraph">Les noms d'&eacute;l&eacute;ments peuvent comporter des lettres, des chiffres, des tirets, des traits de soulignement, des deux-points ou des points. Le caract&egrave;re deux-points (:) ne peut &ecirc;tre utilis&eacute; que dans le cas particulier o&ugrave; il sert &agrave; s&eacute;parer des espaces de noms. Les noms d'&eacute;l&eacute;ments commen&ccedil;ant par xml, XML ou une autre combinaison de la casse de ces lettres sont r&eacute;serv&eacute;s &agrave; la norme XML.   </div><br>
<li>
<div class="paragraph">Document comportant des caract&egrave;res autoris&eacute;s</div><br>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">permittedNames</span>&gt;
	&lt;<span class="xml_balise">name</span>/&gt;
	&lt;<span class="xml_balise">xsl:copy-of</span>/&gt;
	&lt;<span class="xml_balise">A_long_element_name</span>/&gt;
	&lt;<span class="xml_balise">A</span>.name.separated.with.full.stops/&gt;
	&lt;<span class="xml_balise">a123323123-231-231</span>/&gt;
	&lt;<span class="xml_balise">_12</span>/&gt;
&lt;/<span class="xml_balise">permittedNames</span>&gt;</div></pre>

</li>

<li>
<div class="paragraph">Ce document comporte plusieurs erreurs. </div><br>
<pre class="code"><div class="titre_code">Mal form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">forbiddenNames</span>&gt;
	&lt;<span class="xml_balise">A</span>;name/&gt;
	&lt;<span class="xml_balise">last</span>@name&gt;
	&lt;@#$%^()%+?=/&gt;
	&lt;<span class="xml_balise">A</span>*2/&gt;
	&lt;<span class="xml_balise">1ex</span>/&gt;
&lt;/<span class="xml_balise">forbiddenNames</span>&gt;</div></pre>
</li>

<li>
<div class="paragraph">Les noms ne peuvent pas commencer par xml</div><br>
<pre class="code"><div class="titre_code">Mal form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">forbiddenNames</span>&gt;
	&lt;<span class="xml_balise">xmlTag</span>/&gt;
	&lt;<span class="xml_balise">XMLTag</span>/&gt;
	&lt;<span class="xml_balise">XmLTag</span>/&gt;
	&lt;<span class="xml_balise">xMlTag</span>/&gt;
	&lt;<span class="xml_balise">xmLTag</span>/&gt;
&lt;/<span class="xml_balise">forbiddenNames</span>&gt;</div></pre>
</li>
</ul><br /><h1 class="TitreSection0"><a name="L7"></a>7. Exemple 7</h1><ul type="">
<div class="paragraph">Un &eacute;l&eacute;ment peut comporter aucun, un ou plusieurs attributs. Les caract&egrave;res autoris&eacute;s sont les m&ecirc;mes que pour les noms d'&eacute;l&eacute;ments. Le nom d'un attribut est s&eacute;par&eacute; de sa valeur par le caract&egrave;re =. La valeur de l'attribut doit &ecirc;tre indiqu&eacute;e entre guillemets simples '...' ou doubles  "..." . Si un guillemet simple ou double est utilis&eacute; dans la valeur d'un attribut, le d&eacute;limiteur contraire doit &ecirc;tre utilis&eacute;.  </div><br>
<li>
<div class="paragraph">Document comportant des attributs bien form&eacute;s</div><br>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">elements-with-attributes</span>&gt;
	&lt;<span class="xml_balise">el</span> _ok = <span class="xml_ch">"oui"</span> /&gt;
	&lt;<span class="xml_balise">one</span> attr = <span class="xml_ch">"une valeur"</span>/&gt;
	&lt;<span class="xml_balise">several</span> first=<span class="xml_ch">"1"</span> second = '2' third= <span class="xml_ch">"333"</span>/&gt;
	&lt;<span class="xml_balise">apos_quote</span> case1=<span class="xml_ch">"Aujourd'hui"</span> case2='Il lan&ccedil;a : <span class="xml_ch">"Salut, tout le monde!"</span>  '/&gt;
&lt;/<span class="xml_balise">elements-with-attributes</span>&gt;</div></pre>

</li>

<li>
<div class="paragraph">Document comportant des attributs incorrects</div><br>
<pre class="code"><div class="titre_code">Mal form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">errors</span>&gt;
	&lt;<span class="xml_balise">wrong_char</span> a*b = <span class="xml_ch">"23432"</span>/&gt;
	&lt;<span class="xml_balise">mismatched_separator</span> value = "12'/&gt;
	&lt;<span class="xml_balise">wrong_separator_type</span>  value=<span class="xml_ch">"aa"</span>aa"/&gt;
	&lt;<span class="xml_balise">wrong_separator_type</span>  value='bb'bb'/&gt;
	&lt;<span class="xml_balise">wrong_start</span> XML-ID = <span class="xml_ch">"xml234"</span>/&gt;
&lt;/<span class="xml_balise">errors</span>&gt;</div></pre>
</li>

</ul><br /><h1 class="TitreSection0"><a name="L8"></a>8. Exemple 8</h1><ul type="">
<div class="paragraph">Les caract&egrave;res &lt; et &amp; ne peuvent pas &ecirc;tre utilis&eacute;s dans le texte, car ils sont utilis&eacute;s dans le balisage. Si vous devez employer ces caract&egrave;res, utilisez &amp;lt; &agrave; la place de  &lt; et &amp;amp; &agrave; la place de &amp; </div><br>
<li>
<div class="paragraph">Substitution de &amp; et de &lt;</div><br>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">example</span>&gt;
	&lt;<span class="xml_balise">isLower</span>&gt;
		23 <span class="xml_echap">&amp;lt;</span> 46
	&lt;/<span class="xml_balise">isLower</span>&gt;
	&lt;<span class="xml_balise">ampersand</span>&gt;
		Dupond <span class="xml_echap">&amp;amp;</span> fils
	&lt;/<span class="xml_balise">ampersand</span>&gt;
&lt;/<span class="xml_balise">example</span>&gt;</div></pre>

</li>

<li>
<div class="paragraph">Les caract&egrave;res &amp; et &lt; ne peuvent pas &ecirc;tre utilis&eacute;s dans du texte</div><br>
<pre class="code"><div class="titre_code">Mal form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">example</span>&gt;
	&lt;<span class="xml_balise">isLower</span>&gt;
		23 &lt; 46
	&lt;/<span class="xml_balise">isLower</span>&gt;
	&lt;<span class="xml_balise">ampersand</span>&gt;
		Dupond &amp; fils
	&lt;/<span class="xml_balise">ampersand</span>&gt;
&lt;/<span class="xml_balise">example</span>&gt;</div></pre>
</li>

</ul><br /><h1 class="TitreSection0"><a name="L9"></a>9. Exemple 9</h1><ul type="">
<div class="paragraph">Les caract&egrave;res &gt;, " , et ' peuvent &eacute;galement &ecirc;tre remplac&eacute;s par &amp;gt; , &amp;quot; et &amp;apos; respectivement</div><br>
<li>
<div class="paragraph">Substitutions possibles</div><br>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">example</span>&gt;
	&lt;<span class="xml_balise">right-bracket</span>&gt; A la fois &gt; et <span class="xml_echap">&amp;gt;</span> sont autoris&eacute;s&lt;/<span class="xml_balise">right-bracket</span>&gt;
	&lt;<span class="xml_balise">double-quote</span>&gt; A la fois " et <span class="xml_echap">&amp;quot;</span> sont autoris&eacute;s&lt;/<span class="xml_balise">double-quote</span>&gt;
	&lt;<span class="xml_balise">apostrophe</span>&gt; A la fois ' et <span class="xml_echap">&amp;apos;</span> sont autoris&eacute;s&lt;/<span class="xml_balise">apostrophe</span>&gt;
	Cela est utile dans : &lt;<span class="xml_balise">el</span> value=<span class="xml_ch">" <span class="xml_echap">&amp;apos;</span> <span class="xml_echap">&amp;quot;</span> <span class="xml_echap">&amp;apos;</span> "</span>/&gt;
&lt;/<span class="xml_balise">example</span>&gt;</div></pre>

</li>


</ul><br /><h1 class="TitreSection0"><a name="L10"></a>10. Exemple 10</h1><ul type="">
<div class="paragraph">Des commentaires peuvent figurer n'importe o&ugrave; dans un document en dehors des autres balises. Un processeur XML peut permettre &agrave; une application, sans que cela soit une obligation, d'extraire le texte des commentaires. La cha&icirc;ne de caract&egrave;res "--" (deux tirets) ne doit pas figurer &agrave; l'int&eacute;rieur des commentaires. </div><br>

<li>
<div class="paragraph">Les commentaires peuvent comporter n'importe quel caract&egrave;re &agrave; l'exception des caract&egrave;res --</div><br>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code"><span class="xml_comment">&lt;!-- doc A --&gt;</span>
&lt;<span class="xml_balise">example</span>&gt;
<span class="xml_comment">&lt;!-- &lt;HEAD&gt;  --&gt;</span>
<span class="xml_comment">&lt;!-- Caract&egrave;res &lt;&amp;&lt;  --&gt;</span>
&lt;/<span class="xml_balise">example</span>&gt;</div></pre>

</li>

<li>
<div class="paragraph">Les commentaires ne doivent pas comporter la cha&icirc;ne de caract&egrave;res   --</div><br>
<pre class="code"><div class="titre_code">Mal form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">example</span>&gt;
	<span class="xml_comment">&lt;!-- A -- B --&gt;</span>
&lt;/<span class="xml_balise">example</span>&gt;</div></pre>

</li>

</ul><br /><h1 class="TitreSection0"><a name="L11"></a>11. Exemple 11</h1><ul type="">
<div class="paragraph">Les instructions de traitement (PI - Processing instruction en anglais) permettent aux documents XML de contenir des instructions destin&eacute;es aux applications. </div><br>
<li>
<div class="paragraph">Instructions de traitement </div><br>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">example</span>&gt;
&lt;?perl lower-to-upper-case  ?&gt;
&lt;?web-server add-header = <span class="xml_ch">"universit&eacute;"</span> ?&gt;
&lt;<span class="xml_balise">text</span>&gt;vscht&lt;/<span class="xml_balise">text</span>&gt;
&lt;/<span class="xml_balise">example</span>&gt;</div></pre>

</li>

<li>
<div class="paragraph">Une instruction de traitement doit se terminer par ?&gt;</div><br>
<pre class="code"><div class="titre_code">Mal form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">example</span>&gt;
&lt;?perl run _&gt;

&lt;/<span class="xml_balise">example</span>&gt;</div></pre>

</li>

</ul><br /><h1 class="TitreSection0"><a name="L12"></a>12. Exemple 12</h1><ul type="">
<div class="paragraph">Les sections CDATA permettent de ne pas traiter les blocs de texte comportant des caract&egrave;res qui seraient normalement identifi&eacute;s comme du balisage. Les sections CDATA commencent par la cha&icirc;ne "&lt;![CDATA[" et se terminent par la cha&icirc;ne "]]&gt;". La cha&icirc;ne ']]&gt;' ne doit pas figurer &agrave; l'int&eacute;rieur d'une section CDATA. </div><br>
<li>
<div class="paragraph">Section CDATA </div><br>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">example</span>&gt;
	&lt;![CDATA[ &lt;<span class="xml_balise">aaa</span>&gt;bb<span class="xml_echap">&amp;cc&lt;</span>&lt;&lt;]]&gt;
&lt;/<span class="xml_balise">example</span>&gt;</div></pre>

</li>

<li>
<div class="paragraph">Une section CDATA ne doit pas comporter la cha&icirc;ne de caract&egrave;res ']]&gt;' </div><br>
<pre class="code"><div class="titre_code">Mal form&eacute;</div><div class="xml_code">&lt;<span class="xml_balise">example</span>&gt;
	&lt;![CDATA[ &lt;<span class="xml_balise">aaa</span>&gt;bb ]]&gt;cc&lt;&lt;&lt;]]&gt;
&lt;/<span class="xml_balise">example</span>&gt;</div></pre>

</li>

</ul><br /><h1 class="TitreSection0"><a name="L13"></a>13. Exemple 13</h1><ul type="">
<div class="paragraph">Les documents XML peuvent, et d'ailleurs doivent, commencer par une d&eacute;claration XML qui pr&eacute;cise la version de la norme XML utilis&eacute;e. </div><br>
<li>
<div class="paragraph">Sp&eacute;cification de la version XML </div><br>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;?xml version=<span class="xml_ch">"1.0"</span>?&gt;
 &lt;<span class="xml_balise">text</span>&gt;Ce document respecte la sp&eacute;cification XML 1.0.&lt;/<span class="xml_balise">text</span>&gt;</div></pre>
</li>

<li>
<div class="paragraph">Sp&eacute;cification du codage</div><br>
<pre class="code"><div class="titre_code">Bien form&eacute;</div><div class="xml_code">&lt;?xml version=<span class="xml_ch">"1.0"</span> encoding=<span class="xml_ch">"ISO-8859-2"</span>?&gt;
 &lt;<span class="xml_balise">text</span>&gt;Si aucun codage n'est indiqu&eacute;, UTF-8 est pris par d&eacute;faut&lt;/<span class="xml_balise">text</span>&gt;</div></pre>

</li>

</ul><br><table class="noteBasPage"></table><hr><div class="licence">
          Copyright (c) 2000 <a href="http://www.systinet.com/" class="lienArticle">Systinet</a><br />

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections with the no Front-Cover Texts, and with no Back-Cover Texts.
</div>
	  </td>
		</tr>
		   </table>
<?
	include("$DOCUMENT_ROOT/template/pied.php");?>